# Uses of Interface
javax.xml.stream.events.Characters

Packages that use Characters
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).

- ## Uses of Characters in javax.xml.stream

  Methods in javax.xml.stream that return Characters
  Modifier and Type
  Method
  Description
  `abstract Characters`
  XMLEventFactory.`createCData(String content)`
  Create a Characters event with the CData flag set to true
  `abstract Characters`
  XMLEventFactory.`createCharacters(String content)`
  Create a Characters event, this method does not check if the content is all whitespace.
  `abstract Characters`
  XMLEventFactory.`createIgnorableSpace(String content)`
  Create an ignorable space
  `abstract Characters`
  XMLEventFactory.`createSpace(String content)`
  Create a Characters event with the isSpace flag set to true

- ## Uses of Characters in javax.xml.stream.events

  Methods in javax.xml.stream.events that return Characters
  Modifier and Type
  Method
  Description
  `Characters`
  XMLEvent.`asCharacters()`
  Returns this event as Characters, may result in a class cast exception if this event is not Characters.